<!doctype html>
<html>

<head>
	<meta charset="utf-8">
	<title>Documento sin título</title>
	<link href='http://fonts.googleapis.com/css?family=Roboto+Slab' rel='stylesheet' type='text/css'>
	<link href="objetos.css" rel="stylesheet" type="text/css">
	<script src="o3.js"></script>
</head>

<body>
	<div class="cajas entrada">
		<pre>
			/* Vamos a crear una clase que recibe 3 argumentos */
			const Caja = function (a, b, c) {
				// propiedades publicas
				this.ancho = a;
				this.alto = b;
				this.texto = c;
				//metodos publicos
				this.mensaje = function () {
					this.texto = "esto es un ejemplo";
				};
				this.mostrar = function () {
					alert(this.texto);
				};
			};
		</pre>
	</div>
	<div class="cajas salida">
		<div class="titulo">Ejemplo 3
		</div>
		<div class="explicacion">
			La funcion (constructora del objeto) podemos colocarla argumentos. De esta forma podemos recibirlos a la
			hora de crear una instancia del nuevo objeto.
		</div>
	</div>
</body>

</html>